AC_INIT(gbnserver/play.c)
AM_CONFIG_HEADER(config.h)
AC_PREREQ(2.12)
AM_INIT_AUTOMAKE(gbatnav, 1.0.5pre)
AM_MAINTAINER_MODE
AM_ACLOCAL_INCLUDE(macros)
GNOME_INIT

AC_PROG_CC
AC_PROG_LN_S
AM_PROG_LIBTOOL
AC_ISC_POSIX
AC_HEADER_STDC
AC_ARG_PROGRAM

dnl GNOME_COMPILE_WARNINGS

GNOME_X_CHECKS

ALL_LINGUAS="es de pl ja ru fr"
AM_GNU_GETTEXT


dnl DATADIRNAME is generated by AM_GNU_GETTEXT; 
dnl note this has to match the path installed by po/Makefile
FC_EXPAND_DIR(LOCALEDIR, '${prefix}/${DATADIRNAME}/locale')
AC_DEFINE_UNQUOTED(LOCALEDIR, "$LOCALEDIR")

dnl
dnl GGZ stuff
dnl
dnl  no=disable ggz support  yes=enable ggz support,  *=error
AC_ARG_ENABLE(ggz,
	[  --enable-ggz[=no/yes]   enable ggz support [default=no]],,
	enable_ggz=no
)

AM_CONDITIONAL(GGZSUPPORT, test "x$enable_ggz" = "xyes" )
if test "x$enable_ggz" = "xyes"; then
	AC_DEFINE(WITH_GGZ)
	AC_GGZ_GGZDMOD
	AC_GGZ_GGZMOD
	AC_GGZ_CONFIG
	AC_GGZ_SERVER
fi


AC_SUBST(CFLAGS)
AC_SUBST(CPPFLAGS)
AC_SUBST(LDFLAGS)

gnome_cv_use_gnome=yes

AC_OUTPUT([
Makefile
intl/Makefile
po/Makefile.in
macros/Makefile
common/Makefile
gbnserver/Makefile
gbnclient/Makefile
gbnclient/pixmaps/Makefile
gbnrobot/Makefile
ggz/Makefile
ggz/batnav.dsc
ggz/batnavcli.dsc
stamp.h])
